Zurück zur Übersicht

Dein Hoster schaltet PHP Versionen ab, was du beachten solltest?

13.09.2019

Diese Woche erreichte uns die Nachricht unseres Hosters, DomainFactory, dass veraltete PHP Versionen demnächst abgeschaltet werden.

DomainFactory schaltet die PHP Versionen 4, 7.0 und 7.1 zum 02.12.2019 ab. Etwas Aufschub hat die PHP-Versionen 5. Diese wird zum 02.03.2020 abgeschaltet.

Andere Hoster folgen sicher in Kürze, da veraltete PHP Versionen, genauso wie veraltete Software, oft ein Sicherheitsrisiko darstellen.

Doch was heißt das jetzt für dich als Website- oder Shop-Betreiber?

Im besten Fall gar nichts. Im besten Fall merkst du von der Umstellung nichts, da dein Website- oder Shop-System bereits auf die PHP Versionen 7.2 oder 7.3 ausgelegt ist. Das ist aber leider meist die Ausnahme. Daher solltest du auf jeden Fall mit einer gewissen Vorlaufzeit deine Website testweise auf eine neuere PHP Version umstellen, um zu testen, ob sie läuft und noch genug Luft zu haben, falls Anpassungen notwendig sind.

Gern können wir dich hier unterstützen, wenn du Hilfe benötigst.

Wenn du verschlüsselte Ressource im Einsatz hast, z.B. ein verschlüsseltes Modul in deinem Shop, ist die Umstellung nicht mehr so einfach. Im Zweifelsfall benötigst du neue Modulversionen, die es dann hoffentlich schon gibt für PHP 7.2. Andernfalls bleibt nur die Option Module vorerst abzuschlaten, oder wenn dein Hoster das anbietet, die veraltete PHP Version noch für einen Übergangszeitraum anzumieten.

Für OXID eShops kleiner Version 6.0 ist für ein Update auf die neueste PHP Version sogar zwingend ein Update des Shops notwendig, denn OXID eShops sind erst ab der Version 6.0 PHP 7 kompatibel.

Sollte also auch bei dir die Info eintrudeln, dass PHP Versionen abgeschaltet werden, warte nicht zu lange. Im schlimmsten Fall ist deine Seite nach der Umstellung nicht mehr erreichbar.

Hast du einen OXID eShop bieten wird dir ein Update zum Festpreis. Fordere jetzt dein Angebot an.

Auch wenn dein OXID eShop bereits auf Version 6.1.4 oder höher läuft, aber noch eine alte PHP-Version nutzt können wir uns gern um die PHP-Umstellung des Shops und der Module kümmern.


Hat dir dieser Beitrag gefallen oder geholfen ein Problem zu lösen? Dann abonniere jetzt unseren Grips-Letter. Damit bekommst du viele weitere Tipps und Infos, kostenlos frei Haus.


Kategorien: Updates & Bugfixes | Schlagworte: IonCubeLoader, Online-Shops & Oxid eShop, Websites

Beitrag kommentieren

Wie alle anderen Websites verwendet auch unsere Cookies. Wenn du unsere Website verwendest, stimmst du dem zu.

Mehr Infos

Einverstanden!